build: no required environment variables

R=adg, r, PeterGo
CC=golang-dev
https://golang.org/cl/1942044
diff --git a/src/all.bash b/src/all.bash
index 00c1ca7..4a98fe9 100755
--- a/src/all.bash
+++ b/src/all.bash
@@ -4,5 +4,11 @@
 # license that can be found in the LICENSE file.
 
 set -e
-bash make.bash
+if [ ! -f make.bash ]; then
+	echo 'all.bash must be run from $GOROOT/src' 1>&2
+	exit 1
+fi
+. ./make.bash
 bash run.bash --no-rebuild
+installed  # function defined by make.bash
+